<?php

namespace App\Entity;

use App\Repository\AssetdisposalRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=AssetdisposalRepository::class)
 */
class Assetdisposal
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity=Assetregister::class, inversedBy="assetdisposals")
     * @ORM\JoinColumn(nullable=false)
     */
    private $assetregister;

    /**
     * @ORM\Column(type="date")
     */
    private $disposaldate;

    /**
     * @ORM\Column(type="float")
     */
    private $disposalamount;

    /**
     * @ORM\Column(type="float", nullable=true)
     */
    private $sellamount;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $remarks;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $type;

    /**
     * @ORM\Column(type="integer", nullable=true)
     */
    private $status;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getAssetregister(): ?Assetregister
    {
        return $this->assetregister;
    }

    public function setAssetregister(?Assetregister $assetregister): self
    {
        $this->assetregister = $assetregister;

        return $this;
    }

    public function getDisposaldate(): ?\DateTimeInterface
    {
        return $this->disposaldate;
    }

    public function setDisposaldate(\DateTimeInterface $disposaldate): self
    {
        $this->disposaldate = $disposaldate;

        return $this;
    }

    public function getDisposalamount(): ?float
    {
        return $this->disposalamount;
    }

    public function setDisposalamount(float $disposalamount): self
    {
        $this->disposalamount = $disposalamount;

        return $this;
    }

    public function getSellamount(): ?float
    {
        return $this->sellamount;
    }

    public function setSellamount(?float $sellamount): self
    {
        $this->sellamount = $sellamount;

        return $this;
    }

    public function getRemarks(): ?string
    {
        return $this->remarks;
    }

    public function setRemarks(?string $remarks): self
    {
        $this->remarks = $remarks;

        return $this;
    }

    public function getType(): ?int
    {
        return $this->type;
    }

    public function setType(?int $type): self
    {
        $this->type = $type;

        return $this;
    }

    public function getStatus(): ?int
    {
        return $this->status;
    }

    public function setStatus(?int $status): self
    {
        $this->status = $status;

        return $this;
    }
}
